* {
    box-sizing: border-box;
    font-family: "Open Sans", "sans-serif";
}
html, body {
    height: 100%;
    margin: 0;
}
body {
    width: 100%;
    display: table;
    margin: 0;
    padding-top: 80px;
    background-color: #E5E8ED;
}

/*BOUTONS*/

.button:before
{
    border: 6px solid transparent;
    content: "";
    position: absolute;
    left: -5px;
    top: -16px;
    z-index: -9;
}

div .button {
    border: 4px solid transparent;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    content: "";
    position: relative;
    left: -10px;
    top: -10px;
    float: left;
}
.button1:before
{
    border: 6px solid transparent;
    border-bottom:  6px solid #0e3b6f;
    border-right: 6px solid #0e3b6f;
    content: "";
    position: absolute;
    left: -5px;
    top: -16px;
    z-index: -9;
}

div .button1 {
    border: 4px solid transparent;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    content: "";
    position: relative;
    left: -10px;
    top: -350px;
    float: left;
    background-color: #0d5aa7;
}


/*div .button {*/
/*    color: #fff;*/
/*    float: right;*/
/*    text-align: center;*/
/*    margin-top: 10px;*/
/*    margin-bottom: 15px;*/
/*    padding: 10px 30px;*/
/*    border-radius: 5px;*/
/*}*/
article:nth-child(3n+1) .button:before {
    border-bottom:  6px solid #0e3b6f;
    border-right: 6px solid #0e3b6f;
}
article:nth-child(3n+1) .button {
    background-color: #0d5aa7;
}
/*article:nth-child(3n+1) .button:hover {*/
/*    background-color: #3278c6;*/
/*}*/
article:nth-child(3n+2) .button:before {
    border-bottom:  6px solid #780f5a;
    border-right: 6px solid #780f5a;
}
article:nth-child(3n+2) .button {
    background-color: #be148e;
}
/*article:nth-child(3n+2) .button:hover {*/
/*    background-color: #e570d5;*/
/*}*/
article:nth-child(3n+3) .button:before {
    border-bottom:  6px solid #145c0b;
    border-right: 6px solid #145c0b;
}
article:nth-child(3n+3) .button {
    background-color: #22be14;
}
/*article:nth-child(3n+3) .button:hover {*/
/*    background-color: #78e570;*/
/*}*/
body main .article-footer .grey, body main .article-footer .grey:hover {
    background-color: darkgrey;
}
/*TITRE "Mes articles"*/

main h1 {
    text-align: center;
}

/*ARTICLES*/

.container {
    max-width: 85%;
    margin: auto;
    text-align: center;
}
.article-list {
    vertical-align: top;
    display: inline-block;
    margin: auto;
    max-width: 1100px;
    margin-bottom: 50px;
}
article {
    margin: 20px 30px;
    background-color: #fff;
    display: inline-block;
    vertical-align: top;
    /*overflow: hidden;*/
    box-shadow: 0 0 10px 5px #00000070;
    border-radius: 5px;
    max-width: 300px;
}

article a {
    display: block;
    width: 100%;
    height: 100%;
    /*z-index: 999999999999;*/
    /*position: absolute;*/
    text-decoration: none;
    color: #000;
}
.image {
    /*overflow: hidden;*/
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    /*min-width: 100%;*/
    /*min-height: 100%;*/
    /*transform: translateX(-50%) translateY(-50%);*/
    /*position: relative;*/
    /*top: 50%;*/
    /*left: 50%;*/
}
article img {
    max-height: 200px;
    max-width: 300px;
    /*object-fit: cover;*/
    /*border-top-left-radius: 5px;*/
    /*border-top-right-radius: 5px;*/
}
.article-content {
    /*max-width: 300px;*/
    display: inline-block;
}
.article-content p {
    text-overflow: ellipsis;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    height: 85px;
    width: 100%;
}
/*article div:nth-child(2) {*/
/*    padding: 0 10px;*/
/*}*/
article p {
    /*border-bottom: 2px solid #ccc;*/
    padding-bottom: 20px;
    margin-bottom: 10px;
    text-align: justify;
    font-size: 14px;
    height: 90px;
}
article h2 {
    text-align: left;
    font-family: sans-serif;
    font-size: 20px;
}
@media screen and (min-width: 600px) {
    article:hover {
        transform: scale(1.03);
    }
}
@media screen and (min-width: 1080px) {
    article {
        /*max-width: 400px;*/
    }
}